From: <a href="/blend/av.cgi?id=1840">Baby Rose</a><BR>
Date: 25 October 2007<P>

CJ King, about <a href="/blend/wv.cgi?id=2007.10.24.19.40.25433">WAAAAAAH</a>:<BR>
 Oh, my sweet girl, how well do I know this feeling when our mind keeps popping up one giant question "what's the point"?, and the truth is that it won't get better until we are ready to take that step to try to change our mind set, trust me I truly do know, the anger, the frustration, the emptiness, you are not alone...
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 25 October 2007<P>

CJ King, about <a href="/blend/wv.cgi?id=2007.10.24.19.40.25433">WAAAAAAH</a>:  lovey... this mirrors precisely the slump i am in and sinking into further every single day.  i, too, am so damn tired.  feeling it, for and with you girl!
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 25 October 2007<P>

CJ~<BR>
<BR>
Thank you so much for the thoughts on the work.  You're right--there is always a next. *grin*<BR>
<BR>
And your latest--sweetie?  HUGS!!!! I get that feeling.  I have faith that you'll push through this, love.  The heart is ever-so-resilient. *smile* 
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 25 October 2007<P>

jwb71913, um, well, I want my mom back.  I'm sorry but I do.  I just got married for crissakes, and I'm due some happiness, dammit.  You know what's really funny?  I don't feel sorry for myself long, I get mad early, and I think I'm there.<BR>
<BR>
Thank you everybody for your words.  A collective hug all around.  Life's a bitch. <BR>
What else is there to say?
<HR>
From: <a href="/blend/av.cgi?id=1139">jwb71913</a><BR>
Date: 25 October 2007<P>

CJ,  I did not mean to trivialize your feelings.  I hope I wasn't misunderstood.  Life is not what we wish it to be, or what me make it.  It just is, and sometimes it sucks to accept that.
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 25 October 2007<P>

jwb71913, I absolutely did not feel that you were trivializing my feelings!  And truly, I am usually pretty good at accepting life at its terms.  I preach it myself, to my daughter, to my clients, to my friends.  And so it makes it that much more (sort of) maddening that I find myself in this position where I am (figuratively) stomping my feet and walking around like a zombie because of some recent life events that I know happen to everybody!  Your piece Utopia, honestly, is SO where I should be right now.  But a rug's been pulled and I can't even find the cup that is somewhere runnething over!   I'll get there, I will, but right now I'm having trouble just getting out of bed.  I even took a mental health day off yesterday, something I just never do.  <BR>
<BR>
Anyway, you were not misunderstood.  I seriously need to be bitch-slapped for some gratitude for what I do have.  I do thank you for noticing that I am struggling right now.  It's not what I show the rest of the world.  And maybe that's my problem.  Enjoy your cup, your utopia.  I'll let you know when I relocated mine!!  xoxo
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 25 October 2007<P>

relocate, not past tense! gotta get these nails done, they're way too long for typing!!  
<HR>